---
title: WaveShaperNode.oversample
slug: Web/API/WaveShaperNode/oversample
tags:
  - API
  - Property
  - Reference
  - WaveShaperNode
  - Web Audio API
  - oversample
---
<p>{{ APIRef("Web Audio API") }}</p>

<p>The <code>oversample</code> property of the {{ domxref("WaveShaperNode") }} interface is an enumerated value indicating if oversampling must be used. Oversampling is a technique for creating more samples (up-sampling) before applying a distortion effect to the audio signal.</p>

<p>Once applied, the number of samples is reduced to its initial numbers. This leads to better results by avoiding some aliasing, but comes at the expense of a lower precision shaping curve.</p>

<p>The possible <code>oversample</code> values are:</p>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Value</th>
   <th scope="col">Effect</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><code>'none'</code></td>
   <td>Do not perform any oversampling.</td>
  </tr>
  <tr>
   <td><code>'2x'</code></td>
   <td>Double the amount of samples before applying the shaping curve.</td>
  </tr>
  <tr>
   <td><code>'4x'</code></td>
   <td>Multiply by 4 the amount of samples before applying the shaping curve.</td>
  </tr>
 </tbody>
</table>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js"><em>distortion</em>.oversample = <em>enumeratedValue</em>;
</pre>

<h3 id="Values">Values</h3>

<ul>
 <li><em>distortion</em> is a {{domxref("WaveShaperNode")}}.</li>
 <li><em>enumeratedValue</em> is one of <code>'none'</code>, <code>'2x'</code>, or <code>'4x'</code>.</li>
</ul>

<h2 id="Example">Example</h2>

<p>{{page("/en-US/docs/Web/API/AudioContext.createWaveShaper","Example")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#dom-waveshapernode-oversample', 'oversample')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.WaveShaperNode.oversample")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
</ul>
